summaryrefslogtreecommitdiff
path: root/tool/travis_disable_ipv6.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tool/travis_disable_ipv6.sh')
-rwxr-xr-xtool/travis_disable_ipv6.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/tool/travis_disable_ipv6.sh b/tool/travis_disable_ipv6.sh
new file mode 100755
index 0000000000..97ba179d6e
--- /dev/null
+++ b/tool/travis_disable_ipv6.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+set -ex
+ip a
+sudo sysctl -w net.ipv6.conf.all.disable_ipv6=1
+sudo sysctl -w net.ipv6.conf.default.disable_ipv6=1
+sudo sysctl -w net.ipv6.conf.lo.disable_ipv6=1
+ip a
+
+cat /etc/hosts
+sudo ruby -e "hosts = File.read('/etc/hosts').sub(/^::1\s*localhost.*$/, ''); File.write('/etc/hosts', hosts)"
+cat /etc/hosts